/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.hobsoft.symmetry.ui.html.hydrate;

import org.hobsoft.symmetry.ui.Box;
import org.hobsoft.symmetry.ui.layout.BoxLayoutData;

/**
 * 
 * 
 * @author Mark Hobson
 */
final class BoxUtils
{
	// constructors -----------------------------------------------------------
	
	private BoxUtils()
	{
		throw new AssertionError();
	}
	
	// public methods ---------------------------------------------------------
	
	public static int getTotalFlex(Box box)
	{
		int totalFlex = 0;
		int childCount = box.getComponentCount();
		
		for (int childIndex = 0; childIndex < childCount; childIndex++)
		{
			BoxLayoutData layoutData = box.getLayoutData(childIndex);
			
			totalFlex += LengthUtils.getFlex(layoutData.getLength());
		}
		
		return totalFlex;
	}
}
